Skip to content

Return the details-page bootstrap payload for one entity instance.

GET
/api/workspace/entity/{entityIdOrKey}/ui/details-page
curl --request GET \
--url https://example.com/api/workspace/entity/example/ui/details-page
  • None
entityIdOrKey
required
string
instanceId
string
surfaceKey
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Runtime bootstrap payload for the details surface.

object
Meta

Minimal runtime entity metadata used by explicit UI surfaces.

object
EntityDefinitionId

Entity definition identifier.

string
nullable
Name

Internal entity key used by runtime routes.

string
nullable
DisplayNameSingular

User-facing singular name.

string
nullable
DisplayNamePlural

User-facing plural name.

string
nullable
CommentsEnabled

Whether entity comments are enabled.

boolean
AttachmentsEnabled

Whether entity attachments are enabled.

boolean
TagsEnabled

Whether entity tags are enabled.

boolean
FullTextSearchAvailable

Whether runtime configured search is available for the definition.

boolean
Statements

Runtime-exposed statements for this entity.

Array<object>
nullable

Runtime statement descriptor exposed to clients together with predicate payloads.

object
Id

Statement identifier.

string
nullable
Name

Stable technical statement key.

string
nullable
DisplayName

User-facing statement label.

string
nullable
RuleEvaluationContext

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
IsProjection

Whether the entity is an enabled Projection Entity.

boolean
Model

Resolved details-page orchestration model.

object
SummaryCard

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
EditForm

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
BackTarget

Runtime breadcrumb target for a details page.

object
Target
integer format: int32
Allowed values: 0 1
EntityListPageSelector

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
TargetId
string
nullable
TargetKey
string
nullable
DisplayName

Current provider-owned display name.

string
nullable
RouteName

Named WebApp route supplied by the owning module.

string
nullable
LayoutMode
integer format: int32
Allowed values: 0 1
ObjectHostedLayout

Object-hosted layout for a single record details page or drawer.

object
Surface
integer format: int32
Allowed values: 0 1 2 3 4 5
Items
Array<object>
nullable

One entry in an object-hosted layout for a single record surface.

object
Id
string
nullable
ItemKind
integer format: int32
Allowed values: 0 1
BlockKind
integer format: int32
Allowed values: 0 1 2
StandardBlock
integer format: int32
Allowed values: 0 1 2 3 4
ExtensionKey
string
nullable
BindingPath

Structured binding path for special host-layout blocks.

object
RootEntityDefinitionId
string
nullable
TargetEntityDefinitionId
string
nullable
Label
string
nullable
Steps
Array<object>
nullable

One reverse-reference hop used by a special host-layout block.

object
Direction
integer format: int32
Allowed values: 0 1
SourceEntityDefinitionId
string
nullable
SourceReferenceFieldId
string
nullable
SourceReferenceFieldKey
string
nullable
TargetEntityDefinitionId
string
nullable
SourceEntityDisplayNamePlural
string
nullable
SourceReferenceFieldDisplayName
string
nullable
TargetEntityDisplayNameSingular
string
nullable
Settings
object
SettingsVersion
integer format: int32
Title
string
nullable
Subtitle
string
nullable
SortOrder
integer format: int32
Visible
boolean
CollapsedByDefault
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Model": {
"SummaryCard": {
"Mode": 0
},
"EditForm": {
"Mode": 0
},
"BackTarget": {
"Target": 0,
"EntityListPageSelector": {
"Mode": 0
}
}
},
"LayoutMode": 0,
"ObjectHostedLayout": {
"Surface": 0,
"Items": [
{
"ItemKind": 0,
"BlockKind": 0,
"StandardBlock": 0,
"BindingPath": {
"Steps": [
{
"Direction": 0
}
]
}
}
]
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Runtime bootstrap payload for the details surface.

object
Meta

Minimal runtime entity metadata used by explicit UI surfaces.

object
EntityDefinitionId

Entity definition identifier.

string
nullable
Name

Internal entity key used by runtime routes.

string
nullable
DisplayNameSingular

User-facing singular name.

string
nullable
DisplayNamePlural

User-facing plural name.

string
nullable
CommentsEnabled

Whether entity comments are enabled.

boolean
AttachmentsEnabled

Whether entity attachments are enabled.

boolean
TagsEnabled

Whether entity tags are enabled.

boolean
FullTextSearchAvailable

Whether runtime configured search is available for the definition.

boolean
Statements

Runtime-exposed statements for this entity.

Array<object>
nullable

Runtime statement descriptor exposed to clients together with predicate payloads.

object
Id

Statement identifier.

string
nullable
Name

Stable technical statement key.

string
nullable
DisplayName

User-facing statement label.

string
nullable
RuleEvaluationContext

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
IsProjection

Whether the entity is an enabled Projection Entity.

boolean
Model

Resolved details-page orchestration model.

object
SummaryCard

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
EditForm

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
BackTarget

Runtime breadcrumb target for a details page.

object
Target
integer format: int32
Allowed values: 0 1
EntityListPageSelector

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
TargetId
string
nullable
TargetKey
string
nullable
DisplayName

Current provider-owned display name.

string
nullable
RouteName

Named WebApp route supplied by the owning module.

string
nullable
LayoutMode
integer format: int32
Allowed values: 0 1
ObjectHostedLayout

Object-hosted layout for a single record details page or drawer.

object
Surface
integer format: int32
Allowed values: 0 1 2 3 4 5
Items
Array<object>
nullable

One entry in an object-hosted layout for a single record surface.

object
Id
string
nullable
ItemKind
integer format: int32
Allowed values: 0 1
BlockKind
integer format: int32
Allowed values: 0 1 2
StandardBlock
integer format: int32
Allowed values: 0 1 2 3 4
ExtensionKey
string
nullable
BindingPath

Structured binding path for special host-layout blocks.

object
RootEntityDefinitionId
string
nullable
TargetEntityDefinitionId
string
nullable
Label
string
nullable
Steps
Array<object>
nullable

One reverse-reference hop used by a special host-layout block.

object
Direction
integer format: int32
Allowed values: 0 1
SourceEntityDefinitionId
string
nullable
SourceReferenceFieldId
string
nullable
SourceReferenceFieldKey
string
nullable
TargetEntityDefinitionId
string
nullable
SourceEntityDisplayNamePlural
string
nullable
SourceReferenceFieldDisplayName
string
nullable
TargetEntityDisplayNameSingular
string
nullable
Settings
object
SettingsVersion
integer format: int32
Title
string
nullable
Subtitle
string
nullable
SortOrder
integer format: int32
Visible
boolean
CollapsedByDefault
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Model": {
"SummaryCard": {
"Mode": 0
},
"EditForm": {
"Mode": 0
},
"BackTarget": {
"Target": 0,
"EntityListPageSelector": {
"Mode": 0
}
}
},
"LayoutMode": 0,
"ObjectHostedLayout": {
"Surface": 0,
"Items": [
{
"ItemKind": 0,
"BlockKind": 0,
"StandardBlock": 0,
"BindingPath": {
"Steps": [
{
"Direction": 0
}
]
}
}
]
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Runtime bootstrap payload for the details surface.

object
Meta

Minimal runtime entity metadata used by explicit UI surfaces.

object
EntityDefinitionId

Entity definition identifier.

string
nullable
Name

Internal entity key used by runtime routes.

string
nullable
DisplayNameSingular

User-facing singular name.

string
nullable
DisplayNamePlural

User-facing plural name.

string
nullable
CommentsEnabled

Whether entity comments are enabled.

boolean
AttachmentsEnabled

Whether entity attachments are enabled.

boolean
TagsEnabled

Whether entity tags are enabled.

boolean
FullTextSearchAvailable

Whether runtime configured search is available for the definition.

boolean
Statements

Runtime-exposed statements for this entity.

Array<object>
nullable

Runtime statement descriptor exposed to clients together with predicate payloads.

object
Id

Statement identifier.

string
nullable
Name

Stable technical statement key.

string
nullable
DisplayName

User-facing statement label.

string
nullable
RuleEvaluationContext

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
IsProjection

Whether the entity is an enabled Projection Entity.

boolean
Model

Resolved details-page orchestration model.

object
SummaryCard

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
EditForm

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
BackTarget

Runtime breadcrumb target for a details page.

object
Target
integer format: int32
Allowed values: 0 1
EntityListPageSelector

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
TargetId
string
nullable
TargetKey
string
nullable
DisplayName

Current provider-owned display name.

string
nullable
RouteName

Named WebApp route supplied by the owning module.

string
nullable
LayoutMode
integer format: int32
Allowed values: 0 1
ObjectHostedLayout

Object-hosted layout for a single record details page or drawer.

object
Surface
integer format: int32
Allowed values: 0 1 2 3 4 5
Items
Array<object>
nullable

One entry in an object-hosted layout for a single record surface.

object
Id
string
nullable
ItemKind
integer format: int32
Allowed values: 0 1
BlockKind
integer format: int32
Allowed values: 0 1 2
StandardBlock
integer format: int32
Allowed values: 0 1 2 3 4
ExtensionKey
string
nullable
BindingPath

Structured binding path for special host-layout blocks.

object
RootEntityDefinitionId
string
nullable
TargetEntityDefinitionId
string
nullable
Label
string
nullable
Steps
Array<object>
nullable

One reverse-reference hop used by a special host-layout block.

object
Direction
integer format: int32
Allowed values: 0 1
SourceEntityDefinitionId
string
nullable
SourceReferenceFieldId
string
nullable
SourceReferenceFieldKey
string
nullable
TargetEntityDefinitionId
string
nullable
SourceEntityDisplayNamePlural
string
nullable
SourceReferenceFieldDisplayName
string
nullable
TargetEntityDisplayNameSingular
string
nullable
Settings
object
SettingsVersion
integer format: int32
Title
string
nullable
Subtitle
string
nullable
SortOrder
integer format: int32
Visible
boolean
CollapsedByDefault
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Model": {
"SummaryCard": {
"Mode": 0
},
"EditForm": {
"Mode": 0
},
"BackTarget": {
"Target": 0,
"EntityListPageSelector": {
"Mode": 0
}
}
},
"LayoutMode": 0,
"ObjectHostedLayout": {
"Surface": 0,
"Items": [
{
"ItemKind": 0,
"BlockKind": 0,
"StandardBlock": 0,
"BindingPath": {
"Steps": [
{
"Direction": 0
}
]
}
}
]
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Runtime bootstrap payload for the details surface.

object
Meta

Minimal runtime entity metadata used by explicit UI surfaces.

object
EntityDefinitionId

Entity definition identifier.

string
nullable
Name

Internal entity key used by runtime routes.

string
nullable
DisplayNameSingular

User-facing singular name.

string
nullable
DisplayNamePlural

User-facing plural name.

string
nullable
CommentsEnabled

Whether entity comments are enabled.

boolean
AttachmentsEnabled

Whether entity attachments are enabled.

boolean
TagsEnabled

Whether entity tags are enabled.

boolean
FullTextSearchAvailable

Whether runtime configured search is available for the definition.

boolean
Statements

Runtime-exposed statements for this entity.

Array<object>
nullable

Runtime statement descriptor exposed to clients together with predicate payloads.

object
Id

Statement identifier.

string
nullable
Name

Stable technical statement key.

string
nullable
DisplayName

User-facing statement label.

string
nullable
RuleEvaluationContext

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
IsProjection

Whether the entity is an enabled Projection Entity.

boolean
Model

Resolved details-page orchestration model.

object
SummaryCard

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
EditForm

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
BackTarget

Runtime breadcrumb target for a details page.

object
Target
integer format: int32
Allowed values: 0 1
EntityListPageSelector

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
TargetId
string
nullable
TargetKey
string
nullable
DisplayName

Current provider-owned display name.

string
nullable
RouteName

Named WebApp route supplied by the owning module.

string
nullable
LayoutMode
integer format: int32
Allowed values: 0 1
ObjectHostedLayout

Object-hosted layout for a single record details page or drawer.

object
Surface
integer format: int32
Allowed values: 0 1 2 3 4 5
Items
Array<object>
nullable

One entry in an object-hosted layout for a single record surface.

object
Id
string
nullable
ItemKind
integer format: int32
Allowed values: 0 1
BlockKind
integer format: int32
Allowed values: 0 1 2
StandardBlock
integer format: int32
Allowed values: 0 1 2 3 4
ExtensionKey
string
nullable
BindingPath

Structured binding path for special host-layout blocks.

object
RootEntityDefinitionId
string
nullable
TargetEntityDefinitionId
string
nullable
Label
string
nullable
Steps
Array<object>
nullable

One reverse-reference hop used by a special host-layout block.

object
Direction
integer format: int32
Allowed values: 0 1
SourceEntityDefinitionId
string
nullable
SourceReferenceFieldId
string
nullable
SourceReferenceFieldKey
string
nullable
TargetEntityDefinitionId
string
nullable
SourceEntityDisplayNamePlural
string
nullable
SourceReferenceFieldDisplayName
string
nullable
TargetEntityDisplayNameSingular
string
nullable
Settings
object
SettingsVersion
integer format: int32
Title
string
nullable
Subtitle
string
nullable
SortOrder
integer format: int32
Visible
boolean
CollapsedByDefault
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Model": {
"SummaryCard": {
"Mode": 0
},
"EditForm": {
"Mode": 0
},
"BackTarget": {
"Target": 0,
"EntityListPageSelector": {
"Mode": 0
}
}
},
"LayoutMode": 0,
"ObjectHostedLayout": {
"Surface": 0,
"Items": [
{
"ItemKind": 0,
"BlockKind": 0,
"StandardBlock": 0,
"BindingPath": {
"Steps": [
{
"Direction": 0
}
]
}
}
]
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}